StarPU Internal Handbook

Macros | Functions | Variables
debug.h File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <stdarg.h>`
`#include <common/config.h>`
`#include <core/workers.h>`

Go to the source code of this file.

## Macros
#define | STARPU_AYU_EVENT
#define | STARPU_AYU_PREINIT()
#define | STARPU_AYU_INIT()
#define | STARPU_AYU_FINISH()
#define | STARPU_AYU_ADDDEPENDENCY(previous, handle, next_job)
#define | STARPU_AYU_REMOVETASK(job_id)
#define | STARPU_AYU_ADDTASK(job_id, task)
#define | STARPU_AYU_PRERUNTASK(job_id, workerid)
#define | STARPU_AYU_RUNTASK(job_id)
#define | STARPU_AYU_POSTRUNTASK(job_id)
#define | STARPU_AYU_ADDTOTASKQUEUE(job_id, worker_id)
#define | STARPU_AYU_BARRIER()

## Functions
void | _starpu_open_debug_logfile (void)
void | _starpu_close_debug_logfile (void)
void | _starpu_print_to_logfile (const char *format,...) STARPU_ATTRIBUTE_FORMAT(printf
void | _starpu_watchdog_init (void)
void | _starpu_watchdog_shutdown (void)

## Variables
void int | _starpu_use_fxt

## Function Documentation

## ◆ _starpu_open_debug_logfile()

void _starpu_open_debug_logfile | ( | void |  | ) |

Create a file that will contain StarPU's log

## ◆ _starpu_close_debug_logfile()

void _starpu_close_debug_logfile | ( | void |  | ) |

Close StarPU's log file

## ◆ _starpu_print_to_logfile()

void _starpu_print_to_logfile | ( | const char * | format,
|  |  | ...
| ) |  |

Write into StarPU's log file

## Variable Documentation

## ◆ _starpu_use_fxt

void int _starpu_use_fxt
| extern

Tell gdb whether FXT is compiled in or not